summaryrefslogtreecommitdiff
path: root/init.d/40git-pre-commit-hook
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:00:32 -0500
committerJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:00:32 -0500
commit34320131ce680fe03febc9f4d6b438f05e548cbc (patch)
tree41c91d7ad68331e1fa2525c43d43e6c04899b09b /init.d/40git-pre-commit-hook
parent3e6cf464cff47d22f4ac4b4313fda68f32ae1ea8 (diff)
rename etc-* to etckeeper-*
Diffstat (limited to 'init.d/40git-pre-commit-hook')
-rwxr-xr-xinit.d/40git-pre-commit-hook16
1 files changed, 16 insertions, 0 deletions
diff --git a/init.d/40git-pre-commit-hook b/init.d/40git-pre-commit-hook
new file mode 100755
index 0000000..360be8c
--- /dev/null
+++ b/init.d/40git-pre-commit-hook
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+if [ -x .git/hooks/pre-commit ]; then
+ if ! grep -q etckeeper-pre-commit .git/hooks/pre-commit; then
+ echo "warning: .git/hooks/pre-commit needs to be manually modifed to run etckeeper-pre-commit" >&2
+ fi
+else
+ echo <<EOF >>.git/hooks/pre-commit
+#!/bin/sh
+# pre-commit hook for etckeeper. Calls etckeeper-pre-commit to store metadata
+# and do sanity checks.
+set -e
+etckeeper-pre-commit
+EOF
+ chmod +x .git/hooks/pre-commit
+fi